summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Haubenwallner <haubi@gentoo.org>2017-05-29 12:38:30 +0000
committerMichael Haubenwallner <haubi@gentoo.org>2017-05-29 12:38:30 +0000
commit1d22746075637921bc9f9fbe4a3d56d7da7838c8 (patch)
treebf6b639b3ec60fc39976ebfed0b87673f670813b
parentadd 015_all_gcc6.patch for gcc-6, bug#594806 (diff)
downloadgentoo-1d22746075637921bc9f9fbe4a3d56d7da7838c8.tar.gz
gentoo-1d22746075637921bc9f9fbe4a3d56d7da7838c8.tar.bz2
gentoo-1d22746075637921bc9f9fbe4a3d56d7da7838c8.zip
Drop gtk-config helper for 9999. Omit helpers dir if possible.
-rw-r--r--src/patchsets/mico/9999/gtk-config2
-rw-r--r--src/patchsets/mico/make-tarball.sh3
2 files changed, 2 insertions, 3 deletions
diff --git a/src/patchsets/mico/9999/gtk-config b/src/patchsets/mico/9999/gtk-config
deleted file mode 100644
index 14cfa421b3..0000000000
--- a/src/patchsets/mico/9999/gtk-config
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-exec pkg-config gtk+-2.0 $(printf "%s" "$*" | sed s:--version:--modversion:)
diff --git a/src/patchsets/mico/make-tarball.sh b/src/patchsets/mico/make-tarball.sh
index 71a5c5f5e1..e88230526e 100644
--- a/src/patchsets/mico/make-tarball.sh
+++ b/src/patchsets/mico/make-tarball.sh
@@ -18,7 +18,7 @@ rm -f ${tarfile}-*
tarfile=${tarfile}-${patchver}.tar.bz2
rm -rf ./tmp
-mkdir -p tmp/patches tmp/helpers || exit 1
+mkdir -p tmp/patches || exit 1
tardirs=
@@ -33,6 +33,7 @@ for h in \
; do
[[ -r ./${micover}/${h} ]] || continue
helpers="${helpers} ${h}"
+ mkdir -p tmp/helpers || exit 1
cp ./${micover}/${h} ./tmp/helpers || exit 1
chmod +x ./tmp/helpers/${h} || die
done